be.ehealth.businessconnector.civicsv2.session.impl

## Class CivicsImplementationClassFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.civicsv2.session.impl.CivicsImplementationClassFactory

-     public class CivicsImplementationClassFactory
      extends ImplementationClassFactory

  Implementation of `ImplementationClassFactory` for `be.ehealth.businessconnector.civicsv2.CivicsSessionService.Civicsv2SessionService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CivicsImplementationClassFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, Crypto hokCrypto, Crypto encryptionCrypto, String... additionalParameters)` creates the implementation for a range of possible classes.

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CivicsImplementationClassFactory

          public CivicsImplementationClassFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 Crypto hokCrypto,
                                                 Crypto encryptionCrypto,
                                                 String... additionalParameters)
                                          throws TechnicalConnectorException,
                                                 ConnectorException

      Description copied from class: `ImplementationClassFactory`
      creates the implementation for a range of possible classes.
      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Parameters:
        `clazz` - the class
        `sessionValidator` - the session validator
        `replyValidator` - the reply validator
        `hokCrypto` - the hok crypto
        `encryptionCrypto` - the encryption crypto
      Returns:
        the implementation class
      Throws:
        `TechnicalConnectorException`
        `ConnectorException`
      See Also:
        `ImplementationClassFactory.createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator, be.ehealth.technicalconnector.service.etee.Crypto, be.ehealth.technicalconnector.service.etee.Crypto, java.lang.String[])`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.